"Bulk" CSV download for workspaces
The CSV format is the same as bulk upload Permission Level: Read
GET /users/workspaces/download
Operation id: WorkspaceService_DownloadWorkspacesAsCsv
Tags: WorkspaceService
Parameters
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
tenantId | string | No | Tenant of the workspace. Required = false |
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.(streaming responses)
Content type: application/json
default — An unexpected error response.
Content type: application/json
Response models
200 — A successful response.(streaming responses)
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
result | object | No | |
error | object | No |
{
"type": "object",
"properties": {
"result": {
"type": "object",
"properties": {
"data": {
"type": "string",
"format": "byte"
}
}
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}
}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}